Bug 977197 - [abrt] createrepo-0.9.9-21.fc19: sqlitesack.py:412:_requires_with_pre:DatabaseError: database disk image is malformed [NEEDINFO]
[abrt] createrepo-0.9.9-21.fc19: sqlitesack.py:412:_requires_with_pre:Databas...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: createrepo (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:730d56ef06c98b82a0a8968f428...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-23 23:50 EDT by mdmpsyd@gmail.com
Modified: 2014-05-28 04:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-28 04:55:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zpavlas: needinfo? (mdmpsyd)


Attachments (Terms of Use)
File: backtrace (3.41 KB, text/plain)
2013-06-23 23:50 EDT, mdmpsyd@gmail.com
no flags Details
File: core_backtrace (1.00 KB, text/plain)
2013-06-23 23:50 EDT, mdmpsyd@gmail.com
no flags Details
File: environ (84 bytes, text/plain)
2013-06-23 23:50 EDT, mdmpsyd@gmail.com
no flags Details

  None (edit)
Description mdmpsyd@gmail.com 2013-06-23 23:50:09 EDT
Version-Release number of selected component:
createrepo-0.9.9-21.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python -t /usr/share/createrepo/genpkgmetadata.py --quiet --database --update --unique-md-filenames /var/lib/yum/plugins/local
dso_list:       yum-3.4.3-95.fc19.noarch
executable:     /usr/share/createrepo/genpkgmetadata.py
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
sqlitesack.py:412:_requires_with_pre:DatabaseError: database disk image is malformed

Traceback (most recent call last):
  File "/usr/share/createrepo/genpkgmetadata.py", line 294, in <module>
    main(sys.argv[1:])
  File "/usr/share/createrepo/genpkgmetadata.py", line 268, in main
    mdgen.doPkgMetadata()
  File "/usr/lib/python2.7/site-packages/createrepo/__init__.py", line 411, in doPkgMetadata
    self.writeMetadataDocs(packages)
  File "/usr/lib/python2.7/site-packages/createrepo/__init__.py", line 710, in writeMetadataDocs
    save_keptpkgs(None) # append anything left
  File "/usr/lib/python2.7/site-packages/createrepo/__init__.py", line 608, in save_keptpkgs
    self.primaryfile.write(po.xml_dump_primary_metadata())
  File "/usr/lib/python2.7/site-packages/yum/packages.py", line 1299, in xml_dump_primary_metadata
    msg += self._dump_format_items()
  File "/usr/lib/python2.7/site-packages/yum/packages.py", line 1173, in _dump_format_items
    msg += self._dump_requires()
  File "/usr/lib/python2.7/site-packages/yum/packages.py", line 1220, in _dump_requires
    mylist = self._requires_with_pre()
  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 412, in _requires_with_pre
    for ob in cur:
DatabaseError: database disk image is malformed

Local variables in innermost frame:
pre: '0'
cur: <sqlite3.Cursor object at 0x472af80>
self: <CreaterepoPkgOld : nss-tools-3.15-2.fc19.x86_64 (0x2b9f110)>
ob: <sqlite3.Row object at 0x7fb63f95ca10>
prco_set: ('libnss3.so(NSS_3.9.2)(64bit)', None, (None, None, None), '0')
sql: 'SELECT name, version, release, epoch, flags,pre FROM requires WHERE pkgKey = ?'
requires: [('rtld(GNU_HASH)', None, (None, None, None), '0'), ('nss(x86-64)', 'EQ', ('0', '3.15', '2.fc19'), '0'), ('libz.so.1()(64bit)', None, (None, None, None), '0'), ('libssl3.so(NSS_3.7.4)(64bit)', None, (None, None, None), '0'), ('libssl3.so(NSS_3.4)(64bit)', None, (None, None, None), '0'), ('libssl3.so(NSS_3.2)(64bit)', None, (None, None, None), '0'), ('libssl3.so(NSS_3.15)(64bit)', None, (None, None, None), '0'), ('libssl3.so(NSS^3.14)(64bit)', None, (None, None, None), '0'), ('libssl3.so(NSS_3.13.2)(64bit)', None, (None, None, None), '0'), ('libssl3.so(NSS_3.12.6)(64bit)', None, (None, None, None), '0'), ('libssl3.so(NSS_3.11.8)(64bit)', None, (None, None, None), '0'), ('libssl3.so()(64bit)', None, (None, None, None), '0'), ('libsmime3.so(NSS_3.9.3)(64bit)', None, (None, None, None), '0'), ('libsmime3.so(NSS_3.6)(64bit)', None, (None, None, None), '0'), ('libsmime3.so(NSS_3.4)(64bit)', None, (None, None, None), '0'), ('libsmime3.so(NSS_3.3)(64bit)', None, (None, None, None), '0'), ('libsmime3.so(NSS_3.2)(64bit)', None, (None, None, None), '0'), ('libsmime3.so(NSS_3.10)(64bit)', None, (None, None, None), '0'), ('libsmime3.so()(64bit)', None, (None, None, None), '0'), ('libpthread.so.0(GLIBC_2.2.5)(64bit)', None, (None, None, None), '0'), ('libpthread.so.0()(64bit)', None, (None, None, None), '0'), ('libplds4.so()(64bit)', None, (None, None, None), '0'), ('libplc4.so()(64bit)', None, (None, None, None), '0'), ('libnssutil3.so(NSSUTIL_3.15)(64bit)', None, (None, None, None), '0'), ('libnssutil3.so(NSSUTIL_3.12.7)(64bit)', None, (None, None, None), '0'), ('libnssutil3.so(NSSUTIL_3.12)(64bit)', None, (None, None, None), '0'), ('libnssutil3.so()(64bit)', None, (None, None, None), '0'), ('libnss3.so(NSS_3.9.3)(64bit)', None, (None, None, None), '0'), ('libnss3.so(NSS_3.9.2)(64bit)', None, (None, None, None), '0')]
Comment 1 mdmpsyd@gmail.com 2013-06-23 23:50:17 EDT
Created attachment 764419 [details]
File: backtrace
Comment 2 mdmpsyd@gmail.com 2013-06-23 23:50:23 EDT
Created attachment 764420 [details]
File: core_backtrace
Comment 3 mdmpsyd@gmail.com 2013-06-23 23:50:29 EDT
Created attachment 764421 [details]
File: environ
Comment 4 Zdeněk Pavlas 2013-06-24 04:07:19 EDT
The primary_db of _local repo got corrupted while in use.  Since it's always being uncompressed from /var/lib/yum/plugins/local/repodata/*-primary.sqlite.bz2 to /var/tmp/createrepo and BZ2 does verify the checksum and didn't complain, the most likely cause is unreliable storage.  Where's your '/var/tmp' mounted?  Is it stable?
Comment 5 Valentina Mukhamedzhanova 2014-05-28 04:55:23 EDT
Closing as there is no reply.

Note You need to log in before you can comment on or make changes to this bug.